PHP Manual
Prev |  | Next

# finfo_set_flags

(PECL)

finfo_set_flags -- Set libmagic configuration options

## Description

bool finfo_set_flags ( resource finfo, int options )
class finfo {
bool set_flags ( int options )
}

This function sets various Fileinfo options. Options can be set also directly in finfo_open() or other Fileinfo functions.

## Parameters

finfo

  Fileinfo resource returned by finfo_open().

options

  One or disjunction of more Fileinfo constants.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
finfo_open | Up | filePro Functions